REST API · v1

API Reference

Manage campaigns, lists, contacts, servers and more over a consistent JSON REST API. Every request is authenticated with a Bearer token.

Authentication

Send your API token as a Bearer token on every request. Tokens are created per customer under your account’s API settings.

HTTP
Authorization: Bearer YOUR_API_TOKEN
Accept: application/json
cURL
curl https://getmailpurse.com/api/v1/lists \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json"

Base URL: https://getmailpurse.com/api · OpenAPI spec

Guides

Endpoints · 83

Email Lists

Contacts

Campaigns

Automations

Transactional Emails

Delivery Servers

Bounce Servers

Reply Servers

Sending Domains

Tracking Domains

Integrations

Billing